import {parse} from "next-useragent";
import DashboardRefahiLoanManagementComponent from "@/components/dashboard/refahi-loan-management";

export default function RefahiLoanManagement() {
    return (
        <DashboardRefahiLoanManagementComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.loan_management_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_refahi_loan"]}}
        },
    };
}
